' @copyright(disclaimer) 
' Licensed Materials - Property of IBM
' IBM  Enterprise Information Portal for Multiplatforms V8.1  (program number 5724-B43)
' (c ) Copyright IBM Corp. 1998,  2002. All Rights Reserved.
' 
' US Government Users Restricted Rights
' Use, duplication or disclosure restricted by GSA ADP Schedule
' Contract with IBM Corp.
' 
' DISCLAIMER OF WARRANTIES :
' 
' Permission is granted to copy and modify this Sample code, and to
' distribute modified versions provided that both the copyright
' notice,- and this permission notice and warranty disclaimer appear in all copies and 
' modified versions. 
' 
' THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. 
' IBM AND ITS SUPPLIERS AND LICENSORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, 
' IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY OF NON-INFRINGEMENT AND THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL 
' IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES ARISING OUT OF THE USE OF OR 
' INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF THE SAMPLE CODE, OR COMBINATION OF THE 
' SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL IBM OR ITS LICENSORS AND 
' SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA, OR FOR DIRECT, INDIRECT, 
' SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF 
' THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS HAVE BEEN ADVISED 
' OF THE POSSIBILITY OF SUCH DAMAGES.
'
' @endCopyright
VERSION 5.00
Begin VB.Form frmLogin 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Login"
   ClientHeight    =   2295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5085
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2295
   ScaleWidth      =   5085
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Tag             =   "Login"
   Begin VB.TextBox TxtServer 
      Height          =   285
      Left            =   1320
      TabIndex        =   6
      Text            =   "<serverName>/domdoc/DominoDoc1Lib.nsf"
      ToolTipText     =   "Enter the< server>/<directory>/<domino.Doc database name> here.  (Look at the database properties in Domino for help.)"
      Top             =   960
      Width           =   3615
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   360
      Left            =   1440
      TabIndex        =   5
      Tag             =   "Cancel"
      Top             =   1680
      Width           =   1140
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   360
      Left            =   120
      TabIndex        =   4
      Tag             =   "OK"
      Top             =   1680
      Width           =   1140
   End
   Begin VB.TextBox txtPassword 
      Height          =   285
      IMEMode         =   3  'DISABLE
      Left            =   1305
      PasswordChar    =   "*"
      TabIndex        =   1
      ToolTipText     =   "Enter Domino password here"
      Top             =   525
      Width           =   2325
   End
   Begin VB.TextBox txtUserName 
      Height          =   285
      Left            =   1305
      TabIndex        =   3
      ToolTipText     =   "Enter Domino user name here"
      Top             =   135
      Width           =   2325
   End
   Begin VB.Label lblLabels 
      Caption         =   "&Server:"
      Height          =   255
      Index           =   2
      Left            =   120
      TabIndex        =   7
      Tag             =   "&Server:"
      Top             =   960
      Width           =   1080
   End
   Begin VB.Label lblLabels 
      Caption         =   "&Password:"
      Height          =   248
      Index           =   1
      Left            =   105
      TabIndex        =   0
      Tag             =   "&Password:"
      Top             =   540
      Width           =   1080
   End
   Begin VB.Label lblLabels 
      Caption         =   "&User Name:"
      Height          =   248
      Index           =   0
      Left            =   105
      TabIndex        =   2
      Tag             =   "&User Name:"
      Top             =   150
      Width           =   1080
   End
End
Attribute VB_Name = "frmLogin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpbuffer As String, nSize As Long) As Long

Public OK As Boolean
Private Sub Form_Load()
  On Error GoTo Form_Load_Err
  Dim sBuffer As String
  Dim lSize As Long

  OK = True
  Exit Sub

Form_Load_Err:
  OK = False

End Sub


Private Sub cmdCancel_Click()
  OK = False
  Me.Hide
End Sub

Private Sub cmdOK_Click()

  On Error GoTo cmdOK_Click_Err
  Dim emptyString As String
  emptyString = ""
  Set dsDD = New DXDatastoreDD
  Dim serverName As String
  Dim userName As String
  Dim datastoreType As String

  dsDD.Connect TxtServer.Text, txtUserName.Text, txtPassword.Text, emptyString
  connectFlag = dsDD.isConnected
  serverName = dsDD.datastoreName
  datastoreType = dsDD.datastoreType
  userName = dsDD.userName
  OK = True
  Me.Hide

  Exit Sub

cmdOK_Click_Err:
  Dim msg As String
  msg = Err.Description
  'MsgBox "Logon failed.  Try again - or press Cancel button", , "Login"
  MsgBox msg, , "Login"
  txtUserName.SetFocus
  txtUserName.SelStart = 0
  txtUserName.SelLength = Len(txtUserName.Text)
  OK = False

End Sub

